<?php
# ----------------- maak hier uw aanpassingen ----------------------------------
$hwaID 		= "xxx"; 	# Voor xxx je ID invullen
$security 	= "xxx"; 	# Voor xxx je code invullen

$aantal_dg_dln	= 12; 		# Aantal dag delen, max = 18
$naam_station   = true;         # naam van station vermelden
$naam_in_balk   = true;         # true naam midden in balk, false links boven in achtergrond
$tijdstempel    = true;         # onderaan de datum tijd
$tijd_in_balk   = false;        # true tijd in balk in midden ; false = rechts onderaan

$include_html   = true;
#                       gebruiktye iconen
$img_folder     = './images/';    // map waar de afbeeldingen staan
$img_ext        = '.png';       // type afbeeldingen weersymbool
#                       cache settings
$cache_folder   = 'cache/';     // map
$cache_time     = 3600;         // 3600 secondes = 1 uur, zet op 0 voor testen e.d.
$msg_string     = '';           // all messages are stored here until they can be savely printed
#-------------------------------------------------------------------------------
$st_dagdeel     = "vertical-align: top; background-color: #DDE1E5; color: #0671AD; font-weight: bold;";
$st_cond_img    = "vertical-align: top;";
$st_dag         = "background-color: #E3EEF6;";
$st_nacht       = "background-color: #DDE1E5;";
$st_tekst       = "background-color: #DDE1E5; vertical-align: top;";
$st_waarde      = "background-color: #E3EEF6; vertical-align: top;";
$st_wind        = "background-color: #E3EEF6; vertical-align: top;";
$st_balk        = "background-color: #E3EEF6; vertical-align: top;";
$st_normal_font = " font-size: 12px; ";
$st_large_font  = " font-size: 18px; ";
#-------------------------------------------------------------------------------
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) { 
           $filenameReal = __FILE__;			# display source of script if requested so
           $download_size = filesize($filenameReal);
           header('Pragma: public');
           header('Cache-Control: private');
           header('Cache-Control: no-cache, must-revalidate');
           header("Content-type: text/plain");
           header("Accept-Ranges: bytes");
           header("Content-Length: $download_size");
           header('Connection: close');
           readfile($filenameReal);
           exit;
}
$pageName	= $wsMos = 'wsMos2.php';
$pageVersion	= '0.01 2016-07-08';
#-------------------------------------------------------------------------------
# 0.01 2016-07-08   MOS  tabel  NEW xml feed 
#-------------------------------------------------------------------------------
$wsDebug = true;
check_ws_message();
#
$forecast_url= "http://www.hetweeractueel.nl/includes/custom/mosfeed.php?id=".
	$hwaID."&securitycode=".
	$security."&extended=1&source=met.no";
$test = './test.xml';
$test = false;
if ($test <> false) {$cache_time = 0;}
#       controleer of er een correcte data array in de cache staat
$cache_file     = $cache_folder.'mos2-'.$hwaID.'.arr';
$load_from_url  = true;
if (file_exists($cache_file)){
        $file_time      = filemtime($cache_file);
        $age            = time() - $file_time;
        if ($age < $cache_time) {       // cache valid, stuur cache file
                $mos_array      = unserialize ( file_get_contents($cache_file ));
                $station_naam	= $mos_array['info']['station_naam'];
                $gemaakt_op     = $mos_array['info']['gemaakt_op'];
#                array_shift($mos_array);       // for testing only                
                $load_from_url  = false;
        }
}
#    de verwachting ophalen
if ($load_from_url) {
        $xml= makeRequest($forecast_url);
        if (!$xml) {echo 'error'; return;}	#############

#echo '<pre>'.print_r($xml,true); exit;

        $station_naam	= (string) $xml->Plaatsen->Plaats['naam'];
        $gemaakt_op 	= (string) $xml['aanmaakdatum'].' '.(string) $xml['aanmaaktijd'];
        $mos_array = array();
        $mos_array['info']['station_naam'] = $station_naam	= (string) $xml->Plaatsen->Plaats['naam'];
        $mos_array['info']['gemaakt_op']   = $gemaakt_op	= (string) $xml['aanmaakdatum'].' '.(string) $xml['aanmaaktijd'];
        $vorige_luchtdruk       = 0;
        foreach($xml->Plaatsen->Plaats->Verwachtingen->Verwachting as $verwachting) {
#
#	eerst de verwachtingen samenvoegen tot 1 voor de dag (max) en 1 voor de nacht (min)
                $keymax    = (string) $verwachting['dagnaam'].'max'.(string) $verwachting['dag'];
                $keymin    = (string) $verwachting['dagnaam'].'min'.(string) $verwachting['dag'];
                switch ($verwachting['uur']) {
                        case 12:	# ochtend => dag max
                        case 18:  	# middag  => dag max
                                $mos_array[$keymax]['dag']  = (string) $verwachting['dagnaam'];
                                $mos_array[$keymax]['type'] = 'max';
                                if (!isset ($mos_array[$keymax]['neerslaghoeveelheid'])){
                                        $mos_array[$keymax]['neerslaghoeveelheid'] = 0;
                                }
                                $mos_array[$keymax]['neerslaghoeveelheid'] += (float) $verwachting->neerslaghoeveelheid;   
                                if (isset ($verwachting->maximumtemperatuur) ) {
                                        $value = (float) $verwachting->maximumtemperatuur;
                                } else {	
                                        $value = (float) $verwachting->temperatuur;
                                }
                                if (!isset ($mos_array[$keymax]['maximumtemperatuur']) ){
                                        $mos_array[$keymax]['maximumtemperatuur'] = $value;
                                }
                                elseif ($value > $mos_array[$keymax]['maximumtemperatuur']) {
                                        $mos_array[$keymax]['maximumtemperatuur'] = $value;
                                }
                                $value = (float) $verwachting->windsnelheid;
                                if (!isset($mos_array[$keymax]['windsnelheid']) ){
                                        $mos_array[$keymax]['windsnelheid'] = $value;
                                }
                                elseif ($value > $mos_array[$keymax]['windsnelheid']) {
                                        $mos_array[$keymax]['windsnelheid'] = $value;
                                }
                                $mos_array[$keymax]['windrichting'] 	= (string) $verwachting->windrichting;
                                $mos_array[$keymax]['weersymbool_12u']	= (float) $verwachting->weersymbool;
                                $mos_array[$keymax]['weersomschrijving_12u']= (string) $verwachting->weersomschrijving_12u;
                                $mos_array[$keymax]['luchtdruk'] 	= (string) $verwachting->luchtdruk;
                                $mos_array[$keymax]['vorige_luchtdruk'] = $vorige_luchtdruk;
                                if ((string) $verwachting['uur'] == '18') {$vorige_luchtdruk = (string) $verwachting->luchtdruk;}
                                break;
                        case 0:	# avond => nacht min
                        case 6: # nacht min
                                $mos_array[$keymin]['dag']  = (string) $verwachting['dagnaam'];
                                $mos_array[$keymin]['type'] = 'min';
                                if (!isset ($mos_array[$keymin]['neerslaghoeveelheid'])){
                                        $mos_array[$keymin]['neerslaghoeveelheid'] = 0;
                                }
                                $mos_array[$keymin]['neerslaghoeveelheid'] += (float) $verwachting->neerslaghoeveelheid;   
                                if (isset ($verwachting->minimumtemperatuur) ) {
                                        $value = (float) $verwachting->minimumtemperatuur;
                                } else {	
                                        $value = (float) $verwachting->temperatuur;
                                }
                                if (!isset ($mos_array[$keymin]['minimumtemperatuur']) ){
                                        $mos_array[$keymin]['minimumtemperatuur'] = $value;
                                }
                                elseif ($value < $mos_array[$keymin]['minimumtemperatuur']) {
                                        $mos_array[$keymin]['minimumtemperatuur'] = $value;
                                }
                                $value = (float) $verwachting->windsnelheid;
                                if (!isset($mos_array[$keymin]['windsnelheid']) ){
                                        $mos_array[$keymin]['windsnelheid'] = $value;
                                }
                                elseif ($value > $mos_array[$keymin]['windsnelheid']) {
                                        $mos_array[$keymin]['windsnelheid'] = $value;
                                }
                                $mos_array[$keymin]['windrichting'] 	= (string) $verwachting->windrichting;
                                $mos_array[$keymin]['weersymbool_12u']	= (float) $verwachting->weersymbool;
                                $mos_array[$keymin]['weersomschrijving_12u']= (string) $verwachting->weersomschrijving_12u;
                                $mos_array[$keymin]['luchtdruk'] 	= (string) $verwachting->luchtdruk;
                                $mos_array[$keymin]['vorige_luchtdruk'] = $vorige_luchtdruk;
                                if ((string) $verwachting['uur'] == '6') {$vorige_luchtdruk = (string) $verwachting->luchtdruk;}
                                break;
                        default:
                                if ($vorige_luchtdruk == 0) {$vorige_luchtdruk = (string) $verwachting->luchtdruk;}
                }	// eo switch
        } // eo each forecast
# echo '<pre>'.print_r($mos_array,true); exit;
        file_put_contents($cache_file, serialize($mos_array));
} // eo load from xml
array_shift($mos_array);        // verwijder data en naam
/* Array ziet er nu uit als
    [woensdagmax22] => Array (
            [dag] => woensdag
            [type] => max
            [neerslaghoeveelheid] => 0
            [maximumtemperatuur] => 24
            [windsnelheid] => 2
            [windrichting] => zo
            [weersymbool_12u] => 11
            [weersomschrijving_12u] => Cloud
            [luchtdruk] => 1021
            [vorige_luchtdruk] => 1017      )   */
#array_shift($mos_array);       // for testing only
#
if ($include_html) {
        header('Vary: User-Agent');
        header('Content-Type:text/html; charset=UTF-8');
        echo '<!DOCTYPE html>
<html lang="nl">
<head>
<meta charset="UTF-8"/>
</head>
'.$msg_string.'<body style="font-family:Verdana, Arial, Helvetica, sans-serif; font-size:8px; margin: 0; padding: 0; background-color: transparent;">
';
}
# bereken breedte
$mos_breedte    = '100%'; # 2+ $aantal_dg_dln * 70;
$col_width      = round(100/$aantal_dg_dln,3,PHP_ROUND_HALF_DOWN);
#
echo '<div style="width:100%; background-color: transparent;">
<div id="mos" style="width: '.$mos_breedte.'; margin: 0px  auto; background-color: transparent;'.$st_normal_font.'">
<table style="text-align: center; padding: 2px; width: 100%;">'.PHP_EOL;
#
# stationsnaam
if (isset ($naam_station) && $naam_station == true ) {
        if (isset ($naam_in_balk) && $naam_in_balk == true ) {
                echo '<tr style="'.$st_balk.$st_large_font.'"><td colspan="'.$aantal_dg_dln.'" style="">Vooruitzichten voor '.$station_naam.'</td></tr>'.PHP_EOL;
        } 
        else {  echo '<tr style="'.$st_tekst.'"><td colspan="'.$aantal_dg_dln.'" style="">Vooruitzichten voor '.$station_naam.'<br /></td></tr>'.PHP_EOL;
        }
}
$row_dag_deel           = '<tr style="'.$st_dagdeel.'">';
$row_dag_cond_img       = '<tr style="'.$st_cond_img.'">';
$row_dag_cond_txt       = '<tr style="'.$st_tekst.'">';
$row_dag_temp           = '<tr style="'.$st_waarde.'">';
$row_dag_regen_txt      = '<tr style="'.$st_tekst.'">';
$row_dag_regen_waarde   = '<tr style="'.$st_waarde.'">';
$row_dag_wind_txt       = '<tr style="'.$st_tekst.'">';
$row_dag_wind_img       = '<tr style="'.$st_wind.'">';
$row_dag_wind_waarde    = '<tr style="'.$st_waarde.'">';
$row_dag_kracht_txt     = '<tr style="'.$st_tekst.'">';
$row_dag_kracht_waarde  = '<tr style="'.$st_waarde.'">';
$row_dag_hpa_txt        = '<tr style="'.$st_tekst.'">';
$row_dag_hpa_waarde     = '<tr style="'.$st_waarde.'">';
#
$arr_descriptions = load_descriptions ();
#
$dag = 1;
#
foreach ($mos_array as $deel) {
        if ($dag > $aantal_dg_dln) {break;}
        if ($deel['type'] == 'min') {
# deze gegevens worden altijd gemaakt
                // dagnaam, de nacht is altijd de volgende dag d.w.z. de nacht heeft de eerste data van een dag. heel ongebruikelijk
                $from   = array ('zondag','maandag','dinsdag','woensdag','donderdag','vrijdag','zaterdag');
                $to     = array ('6', '0', '1', '2', '3', '4','5');
                $index  = str_replace($from,$to,trim(strtolower($deel['dag'])) );
                $deel['dag'] = $from[$index].'<br />nacht';
                $temp_kleur     = "blue";
                $img_back       = $st_nacht;
                $deel['temp']   = $deel['minimumtemperatuur'];
        }
        else  { $temp_kleur     = "red";
                $deel['temp']   = $deel['maximumtemperatuur'];
                $img_back       = $st_dag;
        }
        $row_dag_deel           .= '<td style="width: '.$col_width.'%; padding: 2px;">'. ucfirst($deel['dag']).'</td>'.PHP_EOL;
        $row_dag_cond_img       .= '<td style="padding: 2px; '.$img_back.'"><img src='.$img_folder.$deel['weersymbool_12u'].$img_ext.' alt=" "/></td>'.PHP_EOL;
        $row_dag_cond_txt       .= '<td style="padding: 2px;">'. $arr_descriptions[$deel['weersomschrijving_12u']].'</td>'.PHP_EOL;
        $row_dag_temp           .= '<td style="padding: 2px; font-size: 16px;  color: '.$temp_kleur.'; ">'. $deel['temp'].'&deg; C</td>'.PHP_EOL;
        $row_dag_regen_txt      .= '<td style="padding: 2px;">neerslag</td>'.PHP_EOL;
        if ($deel['neerslaghoeveelheid'] == 0) {
                $text   = '--'; 
        }
        else {  $text   = $deel['neerslaghoeveelheid'].' mm';
        }
        $row_dag_regen_waarde   .= '<td style="padding: 2px;">'. $text.PHP_EOL.'</td>'.PHP_EOL;
        $row_dag_wind_txt       .= '<td style="padding: 2px;">wind-richting</td>'.PHP_EOL;
        $row_dag_wind_img       .= '<td style="padding: 2px;"><img class="" style="" src='.$img_folder.$deel['windrichting'].$img_ext.' alt=" "/></td>'.PHP_EOL;
        $row_dag_wind_waarde    .= '<td style="padding: 2px; font-size: 16px;">'. strtoupper($deel['windrichting']).PHP_EOL;
        $row_dag_kracht_txt     .= '<td>wind-kracht</td>'.PHP_EOL;
        $row_dag_kracht_waarde  .= '<td style="padding: 2px;">'. $deel['windsnelheid'].' bft</td>'.PHP_EOL;
        $row_dag_hpa_txt        .= '<td style="padding: 2px;">barometer</td>'.PHP_EOL;
        $waarde = $deel['luchtdruk'] - $deel['vorige_luchtdruk'];
        if ($waarde > 0 ) {$waarde = '<b>&#x2191;&nbsp;</b>';}
        elseif ($waarde < 0 ) {$waarde = '<b>&#x2193;&nbsp;</b>';}
        else {$waarde = '&nbsp;';}
        $row_dag_hpa_waarde     .= '<td style="padding: 2px;">'.$waarde. $deel['luchtdruk'].'</td>'.PHP_EOL;
        $dag++;
}
echo $row_dag_deel.'</tr>'.PHP_EOL;
echo $row_dag_cond_img.'</tr>'.PHP_EOL;
echo $row_dag_cond_txt.'</tr>'.PHP_EOL;
echo $row_dag_temp.'</tr>'.PHP_EOL;
echo $row_dag_regen_txt.'</tr>'.PHP_EOL;
echo $row_dag_regen_waarde.'</tr>'.PHP_EOL;
echo $row_dag_wind_txt.'</tr>'.PHP_EOL;
echo $row_dag_wind_img.'</tr>'.PHP_EOL;
echo $row_dag_wind_waarde.'</tr>'.PHP_EOL;
echo $row_dag_kracht_txt.'</tr>'.PHP_EOL;
echo $row_dag_kracht_waarde.'</tr>'.PHP_EOL;
echo $row_dag_hpa_txt.'</tr>'.PHP_EOL;
echo $row_dag_hpa_waarde.'</tr>'.PHP_EOL;

if (isset ($tijdstempel) && $tijdstempel == true) {
        $gemaakt_op = substr($gemaakt_op,6,2).'-'.substr($gemaakt_op,4,2).'-'.substr($gemaakt_op,0,4).substr($gemaakt_op,8);
        if (isset ($tijd_in_balk) && $tijd_in_balk == true ) {
                echo '<tr style="'.$st_balk.$st_large_font.'"><td class="" colspan="'.$aantal_dg_dln.'" style="">Verwachting gemaakt op: '.$gemaakt_op.'</td</tr>'.PHP_EOL;
        }
        else {  
                echo '<tr style="'.$st_tekst.'"><td class="" colspan="'.$aantal_dg_dln.'" style="text-align: right"><small>Verwachting gemaakt op: '.$gemaakt_op.'<small></td</tr>'.PHP_EOL;        
        }
}
echo '</table>
</div>
</div>'.PHP_EOL;
if ($include_html) { echo '</body>
</html>';
}
return;
#exit;
	
#
function makeRequest($url){
	global $test, $wsMos, $msg_string ;
	if (!isset ($test) || $test <> false) {
		$raw_data  = file_get_contents($test);
		ws_message('<!-- module '.$wsMos.' => makeRequest ('.__LINE__.'): data loaded from test file   -->',false, $msg_string );
	} else {	
		ws_message('<!-- module '.$wsMos.' => makeRequest ('.__LINE__.'): data loaded from '.substr($url,0,40).'-->',false , $msg_string );
		$ch = curl_init();
		curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt ($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_USERAGENT, $_SERVER['HTTP_USER_AGENT']);
		curl_setopt ($ch, CURLOPT_TIMEOUT, 10);
		$raw_data = curl_exec ($ch);
		curl_close ($ch);
	}
	if (empty($raw_data)){ 
		return false;
	}
#
# Check validity of returned file
#
	$data_ok= true;
	#
	$data   = trim($raw_data);		
	libxml_use_internal_errors(true);
	libxml_clear_errors();
	$doc    = new DOMDocument('1.0', 'utf-8');
	$doc->loadXML($data);
	$errors = libxml_get_errors();
	unset ($doc);
	if(!empty($errors)){
		foreach(libxml_get_errors() as $error) {
			ws_message('<!-- module '.$wsMos.' => makeRequest ('.__LINE__.'): error '.trim($error->message).' -->',true, $msg_string );
		}
		$data_ok= false;
	}
	if ($data_ok == true) {
		$find   = '</Verwachting>';
		$end    = strlen($data) - strlen($find);
		$found  = strrpos($data,$find);
		if ($found <> $end) {
			ws_message('<!-- module '.$wsMos.' => makeRequest ('.__LINE__.'): bad formatted end of xml'.$found.'-'.$end.' -->',true , $msg_string );
			$data_ok= false;
		}
	}
	if ($data_ok == true) {
		libxml_clear_errors();
		$data = new SimpleXMLElement(trim($raw_data) );
		if ($data === false) {
			ws_message('<!-- module '.$wsMos.' => makeRequest ('.__LINE__.'): errors processing xml  -->',true, $msg_string );
			foreach(libxml_get_errors() as $error) {
					ws_message('<!-- module '.$wsMos.' => makeRequest ('.__LINE__.'): error '.$error->message.' -->',true );
			}
			libxml_clear_errors();
			$data_ok= false;
		}
	}
	if ($data_ok == false) {
		return false;	
	}
	return $data;		
} // eof makeRequest
function check_ws_message() {
        global $wsDebug, $SITE;
        if (function_exists ('ws_message') ){ return;}
        function ws_message ($message,$always=false,&$string=false) {
                global $wsDebug, $SITE;
                $echo	= $always;
                if ( isset ($wsDebug)           && $wsDebug == true ) 		{$echo = true;}
                if ( isset ($SITE['wsDebug'])   && $SITE['wsDebug'] == true ) 	{$echo = true;}
                if ( $echo ) {
                        if ( $string === false) { echo $message.PHP_EOL;}
                        else                    { $string .= $message.PHP_EOL;} 
                }    
        }
}
function imagecolorgradient($im, $x1, $y1, $height, $width,$left_color, $right_color) { 
    $color0=($left_color[0]-$right_color[0])/$height; 
    $color1=($left_color[1]-$right_color[1])/$height; 
    $color2=($left_color[2]-$right_color[2])/$height; 
    for ($i=0;$i<=$height;$i++) { 
        $red=$left_color[0]-floor($i*$color0); 
        $green=$left_color[1]-floor($i*$color1); 
        $blue=$left_color[2]-floor($i*$color2); 
        $col= imagecolorallocate($im, $red, $green, $blue); 
        imageline($im, $x1, $y1+$i, $x1+$width, $y1+$i, $col); 
    } 
} // eof imagecolorgradient
function imagecenteredtext($x, $y, $text, $size, $ttfsize, $color, $angle) {
  global $font_file, $im, $anti_alias ;
  // if FreeType is not supported OR $font_file is set to none
  // we'll use the GD default fonts
  $gdinf = gd_info();
  if (($gdinf["FreeType Support"] == 0) or ($font_file == "none")) {
     //  $x -= (imagefontwidth($size) * strlen($text)) / 2;
       $y -= (imagefontheight($size)) / 2;
       imagestring($im, $size, $x, $y - 3, $text, $color);
  } // end if

  // otherwise we'll use the truetype font defined in $font_file
  else {
     $box = imagettfbbox ($ttfsize, $angle, $font_file, $text);
     $x -= ($box[2] - $box[0]) / 2;
     $y -= ($box[3] - $box[1]) / 2;
     if ($anti_alias == 'off'){
        imagettftext ($im, $ttfsize, $angle, $x, $y, -$color, $font_file, $text);
     } // end if
     else {
          imagettftext ($im, $ttfsize, $angle, $x, $y, $color, $font_file, $text);
     } // end else
  } // end else

} // end function imagecenteredtext		
function load_descriptions () {
        return  array (
	        'Cloud'                 => 'Bewolkt',
	        'DrizzleSun'            => 'Motregen, licht bewolkt',
	        'DrizzleThunder'        => 'Motregen, onweer mogelijk',
	        'DrizzleThunderSun'     => 'Motregen, onweer mogelijk',
                'HeavySleet'            => 'Erg winters',
                'HeavySleetSun'         => 'Erg winters, licht bewolkt',
                'HeavySleetThunder'     => 'Erg winters, onweer mogelijk',
                'HeavySleetThunderSun'  => 'Erg winters, onweer mogelijk',
                'HeavySnow'	        => 'Veel sneeuval',
                'HeavysnowSun'	        => 'Veel sneeuval, licht bewolkt',
                'HeavySnowThunder'	=> 'Veel sneeuval, onweer mogelijkt',
                'HeavySnowThunderSun'	=> 'Veel sneeuval, onweer mogelijkt',
                'LightCloud'	        => 'Weinig bewolking',
                'LightRain'	        => 'Wat (mot) regen',
                'LightRainSun'	        => 'Wat (mot) regen mogelijk, verder helder',
                'LightRainThunder'	=> 'Wat (mot) regen, onweer mogelijk',
                'LightRainThunderSun'	=> 'Wat (mot) regen, onweer mogelijk',
                'LightSleet'	        => 'Winterse omstandigheden',
                'LightSleetSun'	        => 'Winterse omstandigheden',
                'LightSleetThunder'	=> 'Winterse omstandigheden, onweer mogelijk',
                'LightSleetThunderSun'	=> 'Winterse omstandigheden, onweer mogelijk',
                'LightSnow'	        => 'Wat sneeuval mogelijk',
                'LightSnowSun'	        => 'Wat sneeuval mogelijk, verder helder',
                'LightSnowThunder'	=> 'Wat sneeuval mogelijk, onweer mogelijk',
                'LightSnowThunderSun'	=> 'Wat sneeuval mogelijk, onweer mogelijk',
                'PartlyCloud'	        => 'Gedeeltelijk bewolkt',
                'Rain'	                => 'Regen',
                'RainSun'	        => 'Regen met heldere periodes',
                'RainThunder'	        => 'Regen onweer mogelijk',
                'RainThunderSun'        => 'Regen onweer mogelijk',
                'Sleet'	                => 'IJzel',
                'SleetSun'	        => 'IJzel',
                'SleetSunThunder'	=> 'IJzel, onweer mogelijk',
                'SleetThunder'	        => 'IJzel, onweer mogelijk',
                'Snow'	                => 'Sneeuw',
                'SnowSun'	        => 'Sneeuw, verder helder',
                'SnowSunThunder'	=> 'Sneeuw, onweer mogelijk',
                'SnowThunder'	        => 'Sneeuw, onweer mogelijk',
                'Thunder'	        => 'Onweer',
                'Sun'	                => 'Helder'
          );
}